Fibo Edit 1.5 Image Editing
Integreiddio
bria/fibo-edit-1.5/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit-1.5/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit-1.5/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/cy/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit-1.5/edit",
"input": {}
}
Galwch y model Fibo Edit 1.5 Image Editing (bria/fibo-edit-1.5/edit) drwy Doitong API. Dogfennaeth ar gyfer asiantau: https://doitong.com/cy/developers/models/bria/fibo-edit-1.5/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
Os yw statws yr ymateb yn "queued" neu "running", holwch GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 nes ei fod yn "succeeded"; mae'r ffeiliau yn outputs[].url. Mae POST https://api.doitong.com/v1/quote/bria/fibo-edit-1.5/edit gyda'r un corff yn dychwelyd yr union bris cyn y rhediad.
Y cais hwn: $0.04 40 o gredydau API Ei redeg ar y dudalen hon
Eich allwedd API newydd. Dim ond nawr y caiff ei ddangos ac mae eisoes yn y cod ac ym maes allwedd API isod. Cadwch ef yn gyfrinachol: peidiwch byth â’i roi mewn cod sy’n rhedeg mewn porwr.
Mae eich canlyniad cyntaf yn mynd yma
Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.
Adeiladu cais
Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.
/run/bria/fibo-edit-1.5/edit?wait=20
dyfynbris → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit-1.5/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit-1.5/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit-1.5/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit-1.5/edit",
"input": {},
"wait_seconds": 20
}
}
}
Rhedeg y cais hwn
Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API
Ynglŷn â Fibo Edit 1.5 Image Editing
Yn golygu delweddau o `instruction` iaith naturiol, gan ddefnyddio un i bedair delwedd gyfeirio yn `image_urls` lle mae trefn y delweddau'n bwysig. Yn addas ar gyfer tasgau fel rhoi dillad yn rhithwir, amnewid cefndir a throsglwyddo arddull. Mae `mask_url` yn cyfyngu'r golygiad mewn ceisiadau ag un ddelwedd, a gall `structured_instruction` ailddefnyddio canlyniad blaenorol. Mae `aspect_ratio` yn berthnasol gyda dwy ddelwedd neu fwy yn unig.
Paramedrau
Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd
image_urlsdewisol
images
instructiondewisol
aspect_ratiodewisol
seeddewisol
mask_urldewisol
mask
structured_instructiondewisol
structured_instruction.short_descriptiondewisol
structured_instruction.objectsdewisol
structured_instruction.objects[].descriptiondewisol
structured_instruction.objects[].locationdewisol
structured_instruction.objects[].relationshipgofynnol
structured_instruction.objects[].relative_sizedewisol
structured_instruction.objects[].shape_and_colordewisol
structured_instruction.objects[].texturedewisol
structured_instruction.objects[].appearance_detailsdewisol
structured_instruction.objects[].number_of_objectsdewisol
structured_instruction.objects[].posedewisol
structured_instruction.objects[].expressiondewisol
structured_instruction.objects[].clothingdewisol
structured_instruction.objects[].actiondewisol
structured_instruction.objects[].genderdewisol
structured_instruction.objects[].skin_tone_and_texturedewisol
structured_instruction.objects[].orientationdewisol
structured_instruction.background_settingdewisol
structured_instruction.lightingdewisol
structured_instruction.lighting.conditionsdewisol
structured_instruction.lighting.directiondewisol
structured_instruction.lighting.shadowsdewisol
structured_instruction.aestheticsdewisol
structured_instruction.aesthetics.compositiondewisol
structured_instruction.aesthetics.color_schemedewisol
structured_instruction.aesthetics.mood_atmospheredewisol
structured_instruction.aesthetics.aesthetic_scoredewisol
structured_instruction.aesthetics.preference_scoredewisol
structured_instruction.photographic_characteristicsdewisol
structured_instruction.photographic_characteristics.depth_of_fielddewisol
structured_instruction.photographic_characteristics.focusdewisol
structured_instruction.photographic_characteristics.camera_angledewisol
structured_instruction.photographic_characteristics.lens_focal_lengthdewisol
structured_instruction.style_mediumdewisol
structured_instruction.text_renderdewisol
structured_instruction.contextdewisol
structured_instruction.artistic_styledewisol
structured_instruction.edit_instructiondewisol
Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau
Allbwn
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit-1.5/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Meysydd yr allbwn
- image
- object {url, content_type, file_name, file_size, width, height}Canlyniad wedi'i olygu y mae ei gyfrannau'n dilyn aspect_ratio pan gaiff ei nodi, neu'r ddelwedd ffynhonnell fel arall.
- images
- array of object {url, content_type, file_name, file_size, width, height}Ymateb sy'n gydnaws yn ôl i gleientiaid sy'n defnyddio llwybr Fibo Edit API hŷn: rhestr gyda'r un ddelwedd fel ei hunig gofnod.
- structured_instruction
- objectDehongliad estynedig o'r briff, wedi'i ddychwelyd fel y cyfarwyddyd strwythuredig a weithredwyd mewn gwirionedd. Mae'n ymgorffori'r cyfarwyddyd mewnol ac unrhyw gynnwys a ddarparwyd drwy `instruction`.
Amrywiadau Bria Fibo Edit 1.5 eraill
Mwy o fodelau: Golygu Delweddau
Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/bria/fibo-edit-1.5/edit.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt






